def web_page():
  if led1.value() == 1:
    gpio_state1="ON"
  else:
    gpio_state1="OFF"
  
  if led2.value() == 1:
    gpio_state2="ON"
  else:
    gpio_state2="OFF"
  
  html = """<html><head> <title>ESP32 Web Server</title> <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="icon" href="data:,"> 
  <style>html{font-family: Helvetica; display:inline-block; margin: 0px auto; text-align: center;}
  h1{color: #0F3376; padding: 2vh;}p{font-size: 1.5rem;}.button{display: inline-block; background-color: #FF6A00; border: none; 
  border-radius: 4px; color: white; padding: 16px 40px; text-decoration: none; font-size: 30px; margin: 2px; cursor: pointer;}  
  .button2{display: inline-block; background-color: #4CFF00; border: none; 
  border-radius: 4px; color: white; padding: 16px 30px; text-decoration: none; font-size: 30px; margin: 2px; cursor: pointer;}
  </style></head><body> <h1>ESP32 Web Server</h1> 
  <p>GPIO23 state: <strong>""" + gpio_state1 + """</strong>
  </p><p><a href="/led1=on"><button class="button">ON</button></a></p>
  <p><a href="/led1=off"><button class="button2">OFF</button></a></p>
  <p>GPIO22 state: <strong>""" + gpio_state2 + """</strong>
  </p><p><a href="/led2=on"><button class="button">ON</button></a></p>
  <p><a href="/led2=off"><button class="button2">OFF</button></a></p>
  </body></html>"""
  return html

s = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
s.bind(('', 80))
s.listen(5)

while True:
  conn, addr = s.accept()
  print('Got a connection from %s' % str(addr))
  request = conn.recv(1024)
  request = str(request)
  print('Content = %s' % request)
  led1_on = request.find('/led1=on')
  led1_off = request.find('/led1=off')
  led2_on = request.find('/led2=on')
  led2_off = request.find('/led2=off')
  if led1_on == 6:
    print('LED ON')
    led1.value(1)
  if led1_off== 6:
    print('LED OFF')
    led1.value(0)
  if led2_on == 6:
    print('LED ON')
    led2.value(1)
  if led2_off== 6:
    print('LED OFF')
    led2.value(0)
  
  response = web_page()
  conn.send(response)
  conn.close()
